/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "flop.h"
#include "winner.h"
#include "../player.h"

void pokerRoundBetPlayerNext(poker_t *poker);
void pokerRoundBetPlayerInit(poker_t *poker, pokerplayer_t *player);
void pokerRoundBetPlayerUpdate(poker_t *poker, pokerplayer_t *player);

void pokerRoundBetInit(poker_t *poker);
void pokerRoundBetUpdate(poker_t *poker);